summaryrefslogtreecommitdiffstats
path: root/albootstrap.in
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-05-26 08:33:24 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-05-26 08:33:24 +0000
commita071844fd9e603f057b9db4eb0d63b2b323f88fa (patch)
tree43cf5e0d0f784881db8b13d1c4709f5fc03cbf09 /albootstrap.in
parent99b3532d5ccda2db18ffd00ee48b428dce541838 (diff)
downloadalpine-conf-a071844fd9e603f057b9db4eb0d63b2b323f88fa.tar.bz2
alpine-conf-a071844fd9e603f057b9db4eb0d63b2b323f88fa.tar.xz
removed obsolete files
Diffstat (limited to 'albootstrap.in')
-rw-r--r--albootstrap.in54
1 files changed, 0 insertions, 54 deletions
diff --git a/albootstrap.in b/albootstrap.in
deleted file mode 100644
index 3f27f3b..0000000
--- a/albootstrap.in
+++ /dev/null
@@ -1,54 +0,0 @@
-#!/bin/sh
-
-# bootstrap an alpine installation
-
-VERSION=@VERSION@
-
-usage() {
- echo "usage: $(basename $0) TARGETDIR"
- exit 2
-}
-
-die () {
- echo "$@" >&2
- exit 3
-}
-
-# set up vars
-: ${WGET:="/usr/bin/wget"}
-: ${TAR:="/usr/bin/tar"}
-: ${MIRROR:="http://dev.alpinelinux.org/alpine/v1.7"}
-: ${BASE:="base.tar.bz2"}
-target=$1
-
-# main
-[ -z "$target" ] && usage
-[ "$target" = "/" ] && die "Bootstrapping Alpine to '/' is probably not a good idea. Aborting..."
-
-mkdir -p "$target"
-
-echo ">>> Fetching $MIRROR/$BASE..."
-$WGET -q -O - "$MIRROR/$BASE" | tar -C "$target" -jx || die "Failed to fetch or unpack $BASE"
-
-echo ">>> Creating missing dirs..."
-for dir in proc sys dev home; do
- mkdir -p "$target/$dir"
-done
-
-echo ">>> Installing busybox links..."
-# create fake /proc/self/exe
-mkdir -p "$target/proc/self"
-ln -s /bin/busybox "$target/proc/self/exe"
-chroot "$target" /bin/busybox --install -s
-rm -r "$target/proc/self"
-
-if [ -f /etc/resolv.conf ]; then
- echo ">>> Copying /etc/resolv.conf..."
- cp /etc/resolv.conf "$target/etc/"
-fi
-
-echo ">>> Setting up APK_PATH..."
-echo "export APK_PATH=$MIRROR/apks" >> "$target/etc/profile"
-
-echo ">>> Alpine bootstrap complete."
-